MediaWiki:Common.css: Skillnad mellan sidversioner

Från SignWiki
Hoppa till navigering Hoppa till sök
Ingen redigeringssammanfattning
Sync with finsl common.css
Märken: Mobilredigering Mobil webbredigering
 
Rad 1: Rad 1:
/* Allt CSS sem sett er hér mun virka á öllum þemum. */
/* Allt CSS sem sett er hér mun virka á öllum þemum. */


#ca-talk { display:none!important; }
#ca-talk {
#ca-nstab-main { display: none !important; }
  display: none !important;
#ca-nstab-category { display: none !important; }
}
 
#ca-nstab-main {
  display: none !important;
}


#pt-mytalk { display:none!important; }
#ca-nstab-category {
  display: none !important;
}
 
#pt-mytalk {
  display: none !important;
}
 
body.page-Etusivu h1.firstHeading {
  display: none;
}


body.page-Huvudsida h1.firstHeading { display:none; }
.hiddenStructure {
.hiddenStructure {
   display: none;
   display: none;
}
}


 
#frontTable {
 
  display: table;
  table-layout: fixed;
}


/* Tooltips are outside of the normal body code, so this helps make the size of the text sensible */
/* Tooltips are outside of the normal body code, so this helps make the size of the text sensible */
Rad 28: Rad 43:
   background-image: none;
   background-image: none;
}
}
body.ns-0.page-Forsíða #firstHeading{ display: none;}
body.mediawiki,
.mediawiki div#mw-head{ width: 70%; min-width: 970px;}
.mediawiki div#mw-head{ left: 0;}


body.ns-0.page-Forsíða #firstHeading {
  display: none;
}


#frontTable div{
body.mediawiki,
.mediawiki div#mw-head {
  width: 70%;
  min-width: 970px;
}


  margin: 1px 10px;
.mediawiki div#mw-head {
  -moz-border-radius: 25px;
   left: 0;
  -webkit-border-radius: 25px;
}
  -o-border-radius: 25px;
  -ms-border-radius: 25px;
   -khtml-border-radius: 25px;
  border-radius: 25px;


#frontTable div {
  position: relative;
  padding-bottom: 2em;
  margin: 0.1em 0.6em;
  border-radius: 1.5em;
  background: linear-gradient(to bottom, rgba(255, 255, 255, 0.2) 0%, rgba(255, 255, 255, 0) 100%);
}
}


#frontTable div{
#frontTable p {
   background: -moz-linear-gradient(top,  rgba(255,255,255,0.2) 0%, rgba(255,255,255,0) 100%); /* FF3.6+ */
   position: absolute;
   background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(255,255,255,0.2)), color-stop(100%,rgba(255,255,255,0))); /* Chrome,Safari4+ */
   bottom: 0;
  background: -webkit-linear-gradient(top,  rgba(255,255,255,0.2) 0%,rgba(255,255,255,0) 100%); /* Chrome10+,Safari5.1+ */
   width: 100%;
  background: -o-linear-gradient(top,  rgba(255,255,255,0.2) 0%,rgba(255,255,255,0) 100%); /* Opera 11.10+ */
  background: -ms-linear-gradient(top,  rgba(255,255,255,0.2) 0%,rgba(255,255,255,0) 100%); /* IE10+ */
   background: linear-gradient(top,  rgba(255,255,255,0.2) 0%,rgba(255,255,255,0) 100%); /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#33ffffff', endColorstr='#00ffffff',GradientType=0 ); /* IE6-9 */
 
}
}


#frontTable p
#frontTable img {
{
position: absolute; bottom: 0; width: 100%;
}
#frontTable div{position:relative; padding-bottom: 2em;}
#frontTable a img{
   opacity: .9;
   opacity: .9;
}
}
#frontTable a {
#frontTable a {
   color: black;
   color: black;
}
}
.thumbnail {
.thumbnail {
    background: url("/images/img_bg.png") no-repeat scroll 0 0 transparent;
  background: url("/images/img_bg.png") no-repeat scroll 0 0 transparent;
    height: 220px;
  height: 220px;
    padding: 1px;
  padding: 1px;
    width: 226px;
  width: 226px;
    z-index: 1;
  z-index: 1;
    float:left;
  float: left;
}
}


#limited_pic {
#limited_pic {
    border: 0 none;
  border: 0 none;
    height: 180px;
  height: 180px;
    margin-left: 15px;
  margin-left: 15px;
    margin-top: 10px;
  margin-top: 10px;
    overflow: hidden;
  overflow: hidden;
    position: relative;
  position: relative;
    width: 200px;
  width: 200px;
    z-index: 2;
  z-index: 2;
}
}


img {
img {
    border: 0 solid #333333;
  border: 0 solid #333333;
}
}


#caption {
#caption {
    background-image: url("/images/blackbar.png");
  background-image: url("/images/blackbar.png");
    color: #FFFFFF;
  color: #FFFFFF;
    font-family: Verdana,Arial,sans-serif;
  font-family: Verdana, Arial, sans-serif;
    font-size: 80%;
  font-size: 80%;
    height: 25px;
  height: 25px;
    line-height: 1em;
  line-height: 1em;
    margin-left: 15px;
  margin-left: 15px;
    margin-top: -30px;
  margin-top: -30px;
    overflow: hidden;
  overflow: hidden;
    padding-top: 7px;
  padding-top: 7px;
    position: relative;
  position: relative;
    text-align: center;
  text-align: center;
    width: 200px;
  width: 200px;
    z-index: 3;
  z-index: 3;
}
}


#caption a:link, #caption a:visited, #caption a:hover {
#caption a:link,
    color: #FFFFFF;
#caption a:visited,
    font-weight: 700;
#caption a:hover {
    text-decoration: none;
  color: #FFFFFF;
  font-weight: 700;
  text-decoration: none;
}
}


#mw-subcategories ul, #mw-pages ul{
#mw-subcategories ul,
      line-height: normal;
#mw-pages ul {
      margin: 0px;
  line-height: normal;
      clear:both;
  margin: 0px;
      width:100%;
  clear: both;
  width: 100%;
}
}


#mw-subcategories ul li, #mw-pages ul li {
#mw-subcategories ul li,
#mw-pages ul li {


        line-height: 24px;
  line-height: 24px;
        margin-left: 5px;
  margin-left: 5px;
        list-style: none;
  list-style: none;
        //float:left;
  margin: 0 0 3px 15px;
        margin: 0 0 3px 15px;
  display: inline-block
        display: inline-block
}
}
#mw-subcategories ul li.ui-li-divider, #mw-pages ul li.ui-li-divider {
 
#mw-subcategories ul li.ui-li-divider,
#mw-pages ul li.ui-li-divider {
   cursor: default;
   cursor: default;
   margin: 0 0 3px 0;
   margin: 0 0 3px 0;
Rad 137: Rad 154:
   font-size: 1.3em;
   font-size: 1.3em;
   font-weight: bold;
   font-weight: bold;
   clear:both;
   clear: both;
   width:100%;
   width: 100%;
}
}


#mw-subcategories, #mw-pages {
#mw-subcategories,
   clear:both;
#mw-pages {
   clear: both;
}
}


.leftfloat {  
.leftfloat {
float:left;
  float: left;
clear: right;
  clear: right;
}
}
.clboth{
 
clear: both;
.clboth {
  clear: both;
}
}


.clearbo
.clearbo {
{
  clear: both;
clear: both;
}
}


#p-slogan {
#p-slogan {
position: absolute;
  position: absolute;
left: 10.5em;
  left: 10.5em;
top: 0.2em;
  top: 0.2em;
}
}


#slogan {  
#slogan {
font-size: 1em;
  font-size: 1em;
font-style: italic;
  font-style: italic;
color: #727272;
  color: #727272;
        font-family: Myriad Pro;
  font-family: Myriad Pro;
}
}


div#mw-panel div.portal div.body ul li {
div#mw-panel div.portal div.body ul li {
        font-size: 0.9em;
  font-size: 0.9em;
}
}


div#mw-panel div.portal h5 {
div#mw-panel div.portal h5 {
        font-size: 0.9em;
  font-size: 0.9em;
}
}


table.os-suggest-results {
table.os-suggest-results {
      font-size: 16px;
  font-size: 16px;
}
}


.infoboxtakn{
.infoboxtakn {
width:250px;
  width: 250px;
background-color:white;
  background-color: white;
float:right;
  float: right;
clear:right;
  clear: right;
margin:-1em 0 1em 1em;
  margin: -1em 0 1em 1em;
border:1px solid;
  border: 1px solid;
-moz-border-radius:12px;
  border-radius: 12px;
padding:12px 12px 12px 12px;
  padding: 12px 12px 12px 12px;
}
}


.boxheader
.boxheader {
{
  text-align: center;
text-align:center;font-size:16px;font-weight:bold;line-height:1.5em;
  font-size: 16px;
  font-weight: bold;
  line-height: 1.5em;
}
}

Nuvarande version från 16 oktober 2023 kl. 18.37

/* Allt CSS sem sett er hér mun virka á öllum þemum. */

#ca-talk {
  display: none !important;
}

#ca-nstab-main {
  display: none !important;
}

#ca-nstab-category {
  display: none !important;
}

#pt-mytalk {
  display: none !important;
}

body.page-Etusivu h1.firstHeading {
  display: none;
}

.hiddenStructure {
  display: none;
}

#frontTable {
  display: table;
  table-layout: fixed;
}

/* Tooltips are outside of the normal body code, so this helps make the size of the text sensible */
.tipsy {
  font-size: 0.8em;
}

/* FX because of mobile layout */
li.ui-li-divider {
  font-size: 132%;
  font-weight: bold;
  list-style-type: none;
  list-style-image: none;
  background-image: none;
}

body.ns-0.page-Forsíða #firstHeading {
  display: none;
}

body.mediawiki,
.mediawiki div#mw-head {
  width: 70%;
  min-width: 970px;
}

.mediawiki div#mw-head {
  left: 0;
}

#frontTable div {
  position: relative;
  padding-bottom: 2em;
  margin: 0.1em 0.6em;
  border-radius: 1.5em;
  background: linear-gradient(to bottom, rgba(255, 255, 255, 0.2) 0%, rgba(255, 255, 255, 0) 100%);
}

#frontTable p {
  position: absolute;
  bottom: 0;
  width: 100%;
}

#frontTable img {
  opacity: .9;
}

#frontTable a {
  color: black;
}

.thumbnail {
  background: url("/images/img_bg.png") no-repeat scroll 0 0 transparent;
  height: 220px;
  padding: 1px;
  width: 226px;
  z-index: 1;
  float: left;
}

#limited_pic {
  border: 0 none;
  height: 180px;
  margin-left: 15px;
  margin-top: 10px;
  overflow: hidden;
  position: relative;
  width: 200px;
  z-index: 2;
}

img {
  border: 0 solid #333333;
}

#caption {
  background-image: url("/images/blackbar.png");
  color: #FFFFFF;
  font-family: Verdana, Arial, sans-serif;
  font-size: 80%;
  height: 25px;
  line-height: 1em;
  margin-left: 15px;
  margin-top: -30px;
  overflow: hidden;
  padding-top: 7px;
  position: relative;
  text-align: center;
  width: 200px;
  z-index: 3;
}

#caption a:link,
#caption a:visited,
#caption a:hover {
  color: #FFFFFF;
  font-weight: 700;
  text-decoration: none;
}

#mw-subcategories ul,
#mw-pages ul {
  line-height: normal;
  margin: 0px;
  clear: both;
  width: 100%;
}

#mw-subcategories ul li,
#mw-pages ul li {

  line-height: 24px;
  margin-left: 5px;
  list-style: none;
  margin: 0 0 3px 15px;
  display: inline-block
}

#mw-subcategories ul li.ui-li-divider,
#mw-pages ul li.ui-li-divider {
  cursor: default;
  margin: 0 0 3px 0;
  border-bottom: 1px solid #AAAAAA;
  font-size: 1.3em;
  font-weight: bold;
  clear: both;
  width: 100%;
}

#mw-subcategories,
#mw-pages {
  clear: both;
}

.leftfloat {
  float: left;
  clear: right;
}

.clboth {
  clear: both;
}

.clearbo {
  clear: both;
}

#p-slogan {
  position: absolute;
  left: 10.5em;
  top: 0.2em;
}

#slogan {
  font-size: 1em;
  font-style: italic;
  color: #727272;
  font-family: Myriad Pro;
}

div#mw-panel div.portal div.body ul li {
  font-size: 0.9em;
}

div#mw-panel div.portal h5 {
  font-size: 0.9em;
}

table.os-suggest-results {
  font-size: 16px;
}

.infoboxtakn {
  width: 250px;
  background-color: white;
  float: right;
  clear: right;
  margin: -1em 0 1em 1em;
  border: 1px solid;
  border-radius: 12px;
  padding: 12px 12px 12px 12px;
}

.boxheader {
  text-align: center;
  font-size: 16px;
  font-weight: bold;
  line-height: 1.5em;
}